gprocessor(1)

NAME
gprocessor - Gnash SWF Processor

Synopsis
gprocessor (options)... (file)...

DESCRIPTION
Gprocessor is an debugging tool for SWF files, that is a companion to Gnash. This is most often used for debugging and running testcases, as this tool is equivalant to running Gnash with no graphic output. This tool is primarily used by Gnash developers, or anyone that wishes to run the Gnash test cases.

-h  Print usage info.

-w  Write a .gsc file with preprocessed info, for each input file.

-vp Be verbose about movie parsing.

-va Be verbose about ActionScript.

-d [ms]
    Milliseconds delay between advances (0 by default). If '-1' the delay will be computed from the FPS.

-f [frames]
    Allow the given number of frame advancements. Keep advancing untill any other stop condition is encountered if set to 0 (default).

-r [times]
    Allow the given number of complete runs. Keep looping undefinitely if set to 0. Default is 1 (end as soon as the last frame is reached).